ListGroups
/api/v1/groupsList or search for attribute-based and reporting-based groups.
Example request
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://us.oblique.security/api/v1/groups"Set OBLIQUE_API_KEY to your API key.
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://eu.oblique.security/api/v1/groups"Set OBLIQUE_API_KEY to your API key.
Query parameters
pageSizeinteger (int32)pageTokenstringshowDeletedbooleanIf true, include deleted groups in the response.
filterstringThis supports filtering by member, owner, or display name.
member="users/{id}",member="users/me"- Search by the member of the group.owner="users/{id}",owner="users/me",owner="teams/{id}",owner="groups/{id}"- Search by the owner of the group. For users this includes transitive ownerships via a team or group.
Display name filters support
*wildcards and the case-insensitive~=comparator:displayName = "Platform Group"// Matches "Platform Group" and "Platform Engineering"displayName = "Platform *"// Case-insensitive, matches "Platform Group" and "platform eng"displayName ~= "platform *"displayName = "Platform *" OR displayName ~= "security *"Display name filters can’t be combined with member or owner filters.
Response
200ListGroupsResponsegroupsGroup[]namestringAssigned by Oblique. Name of the group of the form
groups/{group}createTimestring (date-time)read-onlyThe time when this group was created.
updateTimestring (date-time)read-onlyThe time when this object was last updated. This does not correspond to any membership changes of this group.
deleteTimestring (date-time)read-onlyGroups can only be soft-deleted to preserve logs and history. If this field is present, the group has been deleted and won’t be returned in lists.
displayNamestringrequiredHuman readable name of the group.
managementManagementHow this group is managed. Set automatically by the server based on the calling client. Omitted from responses when the group is manually managed (the default).
managerstringHow the resource is managed. Set automatically by the server based on the caller: Terraform clients produce TERRAFORM; for all other clients the management field is left unset on the response.
repoUristringURI of the VCS repository that holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.
repoDirstringOptionally, the subdirectory within
repo_urithat holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.
memberCountinteger (int32)read-onlyThe number of members in the group.
One of
attributesAttributesAttributes defines attribute based selection of members of a group, matching users with a given set of attributes.
matchAttributeMatch[]requiredA set of and conditions that a user must match. The user’s attributes must match all values provided.
userAttributeUserAttributeMatchrequiredA user attribute key and value that must be matched.
integrationstringrequiredkeystringrequiredvaluestringrequiredoperatorstringComparison operator for the attribute. Defaults to EQUAL when unset
reportingReportingReporting matches members of a group based on their reporting line
managerstringrequiredincludeIndirectbooleanincludeManagerbooleanWhether the reporting group should include the manager in membership as well. Defaults to false.
createManagerOwnerbooleanIf present on create operations (or during update with allow_missing), the manager will automatically be made an owner. Not returned on get or list operations.
usersstring[]read-onlyList of users that are members of this group. This is only populated for get or update requests, not during lists.
nextPageTokenstring
Errors
| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |